<template>
<div class="container">
 <div class="row">
  <div class="col-md-6">
   
    <label class="autocomplete">
      <GmapAutocomplete class="test"  @place_changed="setPlace">
      </GmapAutocomplete>
      <button class="button" @click="usePlace()">Weather</button>
    </label>
    
    <GmapMap style="height: 400px;margin: auto;width: 100%;" :center="{lat:36, lng:9.5375}" :zoom="7" >
      <GmapMarker v-for="(marker, index) in markers"
        :key="index"
        :position="marker.position"
        />
      <GmapMarker
        v-if="this.place"
        label="★"
        :position="{
          lat: this.place.geometry.location.lat(),
          lng: this.place.geometry.location.lng(),
        }"
        />
        
    </GmapMap>
  </div>
   <div class="col-md-6">
    <Currently class="currently" v-if="showForcast" :forecast="forecast.currently"></Currently>
   </div>
 </div>
 </div>
</template>

<script>
/* eslint-disable */
import axios from "axios";
import MapService from "@/services/MapService";
import Currently from "@/components/Currently";
export default {
  data() {
    return {
      markers: [],
      place: null,
      position: null,
      forecast: [],
      lat: null,
      lng: null,
      namePlace: "",
      test: false,
      errors: [],
      showForcast: false
    };
  },
  components: {
    Currently
  },
  methods: {
    setDescription(description) {
      this.description = description;
    },
    setPlace(place) {
      this.place = place;
    },
    usePlace(place) {
      if (this.place) {
        if (this.markers.length != 0) {
          this.markers = [];
        }
        this.markers.push({
          position: {
            lat: this.place.geometry.location.lat(),
            lng: this.place.geometry.location.lng()
          }
        });
        this.lat = this.place.geometry.location.lat();
        this.lng = this.place.geometry.location.lng();
        console.log("Test here to find place name" + this.place.name);
        this.namePlace = this.place.name;
        //this.place = null;
        this.getForecast();
        this.getPlaces();
      }
    },
    getForecast() {
      console.log("waiting for the response");
      axios
        .get(`http://34.244.196.28:443/map/` + this.lat + `/` + this.lng)
        .then(response => {
          console.log("Hello there!! response!!!");
          console.log(response.data);
          this.forecast = response.data;
          this.showForcast = true;
        })
        .catch(e => {
          this.errors.push(e);
        });
    }
  }
};
</script>
<style scoped>
.col-md-6 {
  
    padding-top: 50px;
    padding-left: 25px;
}
.test {
  font-size: 16px;
  border: 1;
  margin: 0;
  padding: 0;
  height: 44px;
  width: 80%;
}
.button{
  margin: 2px;
}
.autocomplete {
  display: flex;
  flex-direction: row;
}
</style>


